package ogloszenia.klient;

import java.util.List;

import ogloszenia.wygenerowane.BladBazyDanych_Exception;
import ogloszenia.wygenerowane.Samochodowe;
import ogloszenia.wygenerowane.SerwisOgloszeniowy;
import ogloszenia.wygenerowane.SerwisOgloszeniowyService;

public class Klient1 {

	public static void main(String[] args) {
		SerwisOgloszeniowyService serwis = new SerwisOgloszeniowyService();
		SerwisOgloszeniowy proxy = serwis.getSerwisOgloszeniowyPort();
		System.out.println("Mam obiekt proxy: " + proxy);
		System.out.println();
		try {
			List<Samochodowe> ogloszenia = proxy.odczytajWszystkie();
			for(Samochodowe ogloszenie : ogloszenia) {
				System.out.println(ogloszenie.getMarka() + " " + ogloszenie.getModel() + " za " + ogloszenie.getCena());
			}
		} catch (BladBazyDanych_Exception e) {
			e.printStackTrace();
		}
	}

}
